Debian Bug report logs - #627869
linux-image-2.6.38-2-686: ath5k module is unstable after upgrade

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Alexandre Lymberopoulos <lymber@gmail.com>

Date: Wed, 25 May 2011 03:36:02 UTC

Severity: important

Merged with 628184

Found in versions 2.6.38-5, 2.6.39-1

Fixed in version 3.0.0-1

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627869; Package linux-2.6. (Wed, 25 May 2011 03:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Lymberopoulos <lymber@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 25 May 2011 03:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexandre Lymberopoulos <lymber@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.38-2-686: ath5k module is unstable after upgrade
Date: Wed, 25 May 2011 00:34:17 -0300
Package: linux-2.6
Version: 2.6.38-5
Severity: grave
Justification: renders package unusable


Since upgrade from 2.6.32 to 2.6.38 my wireless network card became very unstable, not always connecting to my router and not always able to scan wireless networks in the nearby. The same message (link is not ready) also appears do my wired card, as you can see in the kernel log below, but I didn't use it since these messages start appearing.

Count on me for any further information.

Thanks in advance,
Alexandre

-- Package-specific info:
** Version:
Linux version 2.6.38-2-686 (Debian 2.6.38-5) (ben@decadent.org.uk) (gcc version 4.4.6 (Debian 4.4.6-3) ) #1 SMP Sun May 8 14:49:45 UTC 2011

** Command line:
BOOT_IMAGE=/boot/vmlinuz-2.6.38-2-686 root=UUID=7391c4b5-342a-4f62-b177-748ee154ce6c ro resume=/dev/sda5

** Not tainted

** Kernel log:
[    8.978989] Bluetooth: HCI socket layer initialized
[    9.066017] yenta_cardbus 0000:06:04.0: CardBus bridge found [1025:0090]
[    9.084395] yenta_cardbus 0000:06:04.0: Using CSCINT to route CSC interrupts to PCI
[    9.102653] yenta_cardbus 0000:06:04.0: Routing CardBus interrupts to PCI
[    9.120634] yenta_cardbus 0000:06:04.0: TI: mfunc 0x90501212, devctl 0x44
[    9.213428] input: PC Speaker as /devices/platform/pcspkr/input/input6
[    9.356317] leds_ss4200: no LED devices found
[    9.403599] Synaptics Touchpad, model: 1, fw: 6.2, id: 0x1280b1, caps: 0xa04713/0x204000/0x0
[    9.455850] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio4/input/input7
[    9.601118] [drm] Initialized drm 1.1.0 20060810
[    9.781121] Bluetooth: Generic Bluetooth USB driver ver 0.6
[    9.802229] usbcore: registered new interface driver btusb
[    9.951436] cfg80211: Calling CRDA to update world regulatory domain
[   10.028183] ACPI: Battery Slot [BAT1] (battery present)
[   10.177117] yenta_cardbus 0000:06:04.0: ISA IRQ mask 0x0cf8, PCI irq 16
[   10.195961] yenta_cardbus 0000:06:04.0: Socket status: 30000006
[   10.214615] pci_bus 0000:06: Raising subordinate bus# of parent bus (#06) from #07 to #0a
[   10.234467] yenta_cardbus 0000:06:04.0: pcmcia: parent PCI bridge window: [io  0x6000-0x6fff]
[   10.253696] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x6000-0x6fff: excluding 0x6000-0x60ff 0x6400-0x64ff
[   10.279991] yenta_cardbus 0000:06:04.0: pcmcia: parent PCI bridge window: [mem 0xd0000000-0xd00fffff]
[   10.300233] pcmcia_socket pcmcia_socket0: cs: memory probe 0xd0000000-0xd00fffff: excluding 0xd0000000-0xd001ffff
[   10.320508] yenta_cardbus 0000:06:04.0: pcmcia: parent PCI bridge window: [mem 0x80000000-0x83ffffff pref]
[   10.341059] pcmcia_socket pcmcia_socket0: cs: memory probe 0x80000000-0x83ffffff: excluding 0x80000000-0x83ffffff
[   10.598127] i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[   10.618946] i915 0000:00:02.0: setting latency timer to 64
[   10.623318] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[   10.626008] [drm] Driver supports precise vblank timestamp query.
[   10.698884] vgaarb: device changed decodes: PCI:0000:00:02.0,olddecodes=io+mem,decodes=io+mem:owns=io+mem
[   10.702079] [drm] initialized overlay support
[   10.900930] ath5k 0000:06:02.0: enabling device (0000 -> 0002)
[   10.903596] ath5k 0000:06:02.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
[   10.906694] ath5k 0000:06:02.0: registered as 'phy0'
[   11.619580] ath: EEPROM regdomain: 0x63
[   11.619584] ath: EEPROM indicates we should expect a direct regpair map
[   11.619588] ath: Country alpha2 being used: 00
[   11.619590] ath: Regpair used: 0x63
[   11.733833] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x100-0x3af: excluding 0x170-0x177 0x1f0-0x1f7 0x370-0x377
[   11.742685] checking generic (c0000000 300000) vs hw (c0000000 10000000)
[   11.742691] fb: conflicting fb hw usage inteldrmfb vs VESA VGA - removing generic driver
[   11.745535] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x3e0-0x4ff: excluding 0x3f0-0x3f7 0x4d0-0x4d7
[   11.749091] Console: switching to colour dummy device 80x25
[   11.749914] fbcon: inteldrmfb (fb0) is primary device
[   11.750917] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x820-0x8ff: clean.
[   11.751633] pcmcia_socket pcmcia_socket0: cs: IO port probe 0xc00-0xcf7: clean.
[   11.753112] pcmcia_socket pcmcia_socket0: cs: memory probe 0x0c0000-0x0fffff: excluding 0xc0000-0xc7fff 0xe0000-0xfffff
[   11.753179] pcmcia_socket pcmcia_socket0: cs: memory probe 0xa0000000-0xa0ffffff: clean.
[   11.753247] pcmcia_socket pcmcia_socket0: cs: memory probe 0x60000000-0x60ffffff: excluding 0x60000000-0x60ffffff
[   11.753315] pcmcia_socket pcmcia_socket0: cs: IO port probe 0xa00-0xaff: clean.
[   11.756124] Console: switching to colour frame buffer device 128x48
[   11.760879] fb0: inteldrmfb frame buffer device
[   11.760921] drm: registered panic notifier
[   11.761153] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[   11.777418] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
[   11.778160] ath5k phy0: Atheros AR2413 chip found (MAC: 0x78, PHY: 0x45)
[   12.445765] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
[   12.445910] HDA Intel 0000:00:1b.0: irq 44 for MSI/MSI-X
[   12.445946] HDA Intel 0000:00:1b.0: setting latency timer to 64
[   12.641235] hda_codec: ALC883: SKU not ready 0x411111f0
[   12.641398] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/input/input8
[   12.648223] input: HDA Intel Headphone as /devices/pci0000:00/0000:00:1b.0/sound/card0/input9
[   14.516904] Adding 522108k swap on /dev/sda5.  Priority:-1 extents:1 across:522108k 
[   15.019291] EXT3-fs (sda6): using internal journal
[   15.196416] loop: module loaded
[   16.078266] FAT: utf8 is not a recommended IO charset for FAT filesystems, filesystem will be case sensitive!
[   18.256185] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   19.216870] RPC: Registered udp transport module.
[   19.219239] RPC: Registered tcp transport module.
[   19.221635] RPC: Registered tcp NFSv4.1 backchannel transport module.
[   19.310607] FS-Cache: Loaded
[   19.439822] FS-Cache: Netfs 'nfs' registered for caching
[   19.527702] Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
[   20.989826] fuse init (API version 7.16)
[   23.231870] apm: BIOS not found.
[   27.063420] Bluetooth: L2CAP ver 2.15
[   27.065556] Bluetooth: L2CAP socket layer initialized
[   27.220196] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   27.222273] Bluetooth: BNEP filters: protocol multicast
[   27.320963] Bluetooth: SCO (Voice Link) ver 0.6
[   27.323013] Bluetooth: SCO socket layer initialized
[   27.325097] Bluetooth: RFCOMM TTY layer initialized
[   27.327124] Bluetooth: RFCOMM socket layer initialized
[   27.329206] Bluetooth: RFCOMM ver 1.11
[   30.859221] sshd (1578): /proc/1578/oom_adj is deprecated, please use /proc/1578/oom_score_adj instead.
[   36.455040] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[   44.912577] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[   45.382468] b44 ssb0:0: eth0: powering down PHY
[   45.394134] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   45.495056] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[   47.524721] wlan0: direct probe to 00:18:e7:d5:39:53 (try 1/3)
[   47.527935] wlan0: direct probe to 00:18:e7:d5:39:53 (try 1/3)
[   47.531547] wlan0: direct probe to 00:18:e7:d5:39:53 (try 1/3)
[   47.728053] wlan0: direct probe to 00:18:e7:d5:39:53 (try 2/3)
[   47.928052] wlan0: direct probe to 00:18:e7:d5:39:53 (try 3/3)
[   48.128063] wlan0: direct probe to 00:18:e7:d5:39:53 timed out
[   93.198623] wlan0: authenticate with 00:18:e7:d5:39:53 (try 1)
[   93.200633] wlan0: authenticated
[   93.200653] wlan0: associate with 00:18:e7:d5:39:53 (try 1)
[   93.203973] wlan0: RX AssocResp from 00:18:e7:d5:39:53 (capab=0x421 status=0 aid=1)
[   93.203977] wlan0: associated
[   93.206548] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready

** Model information
not available

** Loaded modules:
Module                  Size  Used by
snd_seq_dummy          12455  0 
mperf                  12387  0 
cpufreq_stats          12670  0 
cpufreq_userspace      12520  0 
cpufreq_powersave      12422  0 
cpufreq_conservative    13598  0 
sco                    13219  2 
rfcomm                 31960  8 
bnep                   17147  2 
l2cap                  35435  16 rfcomm,bnep
crc16                  12327  1 l2cap
snd_hrtimer            12540  1 
fuse                   55640  1 
nfsd                  196206  2 
exportfs               12527  1 nfsd
nfs                   214151  0 
lockd                  60890  2 nfsd,nfs
fscache                31438  1 nfs
nfs_acl                12463  2 nfsd,nfs
auth_rpcgss            31739  2 nfsd,nfs
sunrpc                136969  6 nfsd,nfs,lockd,nfs_acl,auth_rpcgss
nls_utf8               12416  1 
nls_cp437              12417  1 
vfat                   16989  1 
fat                    44149  1 vfat
hfsplus                70149  0 
loop                   17805  0 
snd_hda_codec_realtek   207838  1 
snd_hda_intel          21529  1 
snd_hda_codec          57563  2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep              12906  1 snd_hda_codec
snd_pcm_oss            35864  0 
snd_mixer_oss          17649  1 snd_pcm_oss
snd_pcm                52774  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_seq_midi           12744  0 
snd_rawmidi            22407  1 snd_seq_midi
snd_seq_midi_event     13124  1 snd_seq_midi
snd_seq                39172  4 snd_seq_dummy,snd_seq_midi,snd_seq_midi_event
arc4                   12418  2 
snd_timer              22171  3 snd_hrtimer,snd_pcm,snd_seq
ecb                    12649  2 
ath5k                 119030  0 
snd_seq_device         12995  4 snd_seq_dummy,snd_seq_midi,snd_rawmidi,snd_seq
i915                  276436  2 
ath                    17021  1 ath5k
mac80211              160285  1 ath5k
drm_kms_helper         26501  1 i915
cfg80211              106889  3 ath5k,ath,mac80211
snd                    38153  14 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
joydev                 16906  0 
btusb                  17209  2 
drm                   128416  3 i915,drm_kms_helper
tpm_tis                12949  0 
tpm                    17476  1 tpm_tis
pcspkr                 12515  0 
yenta_socket           22152  0 
battery                12957  0 
soundcore              12878  1 snd
bluetooth              50119  9 sco,rfcomm,bnep,l2cap,btusb
pcmcia_rsrc            17314  1 yenta_socket
i2c_algo_bit           12706  1 i915
wmi                    13018  0 
rfkill                 18510  3 cfg80211,bluetooth
psmouse                45863  0 
serio_raw              12758  0 
i2c_i801               12670  0 
i2c_core               18989  5 i915,drm_kms_helper,drm,i2c_algo_bit,i2c_i801
evdev                  13084  19 
tpm_bios               12799  1 tpm
ac                     12552  0 
power_supply           13283  2 battery,ac
processor              26983  1 
container              12525  0 
rng_core               12550  0 
snd_page_alloc         12841  2 snd_hda_intel,snd_pcm
button                 12866  1 i915
video                  17345  1 i915
ext3                   98001  1 
jbd                    40818  1 ext3
mbcache                12810  1 ext3
sg                     21385  0 
sd_mod                 34941  4 
sr_mod                 17418  0 
cdrom                  34631  1 sr_mod
crc_t10dif             12332  1 sd_mod
ata_generic            12439  0 
ata_piix               21079  3 
libata                131904  2 ata_generic,ata_piix
uhci_hcd               21850  0 
ehci_hcd               34889  0 
b44                    22672  0 
ssb                    38626  1 b44
sdhci_pci              13000  0 
scsi_mod              134369  4 sg,sr_mod,sd_mod,libata
sdhci                  21405  1 sdhci_pci
pcmcia                 32024  1 ssb
usbcore                99058  4 btusb,uhci_hcd,ehci_hcd
pcmcia_core            17973  3 yenta_socket,pcmcia_rsrc,pcmcia
mmc_core               52605  2 ssb,sdhci
thermal                13058  0 
mii                    12562  1 b44
thermal_sys            17667  3 processor,video,thermal
nls_base               12649  6 nls_utf8,nls_cp437,vfat,fat,hfsplus,usbcore

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub [8086:27a0] (rev 03)
	Subsystem: Acer Incorporated [ALI] Device [1025:0090]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller [8086:27a2] (rev 03) (prog-if 00 [VGA controller])
	Subsystem: Acer Incorporated [ALI] Device [1025:0090]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at d0100000 (32-bit, non-prefetchable) [size=512K]
	Region 1: I/O ports at 1800 [size=8]
	Region 2: Memory at c0000000 (32-bit, prefetchable) [size=256M]
	Region 3: Memory at d0200000 (32-bit, non-prefetchable) [size=256K]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915

00:02.1 Display controller [0380]: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller [8086:27a6] (rev 03)
	Subsystem: Acer Incorporated [ALI] Device [1025:0090]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at d0180000 (32-bit, non-prefetchable) [size=512K]
	Capabilities: <access denied>

00:1b.0 Audio device [0403]: Intel Corporation N10/ICH 7 Family High Definition Audio Controller [8086:27d8] (rev 02)
	Subsystem: Acer Incorporated [ALI] Device [1025:0090]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 44
	Region 0: Memory at d0240000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation N10/ICH 7 Family PCI Express Port 1 [8086:27d0] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: 84000000-841fffff
	Prefetchable memory behind bridge: 0000000084200000-00000000843fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.1 PCI bridge [0604]: Intel Corporation N10/ICH 7 Family PCI Express Port 2 [8086:27d2] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: 84400000-845fffff
	Prefetchable memory behind bridge: 0000000084600000-00000000847fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.2 PCI bridge [0604]: Intel Corporation N10/ICH 7 Family PCI Express Port 3 [8086:27d4] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 00004000-00004fff
	Memory behind bridge: 84800000-849fffff
	Prefetchable memory behind bridge: 0000000084a00000-0000000084bfffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.3 PCI bridge [0604]: Intel Corporation N10/ICH 7 Family PCI Express Port 4 [8086:27d6] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
	I/O behind bridge: 00005000-00005fff
	Memory behind bridge: 84c00000-84dfffff
	Prefetchable memory behind bridge: 0000000084e00000-0000000084ffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #1 [8086:27c8] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Acer Incorporated [ALI] Device [1025:0090]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 4: I/O ports at 1820 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #2 [8086:27c9] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Acer Incorporated [ALI] Device [1025:0090]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at 1840 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #3 [8086:27ca] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Acer Incorporated [ALI] Device [1025:0090]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at 1860 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.3 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #4 [8086:27cb] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Acer Incorporated [ALI] Device [1025:0090]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 16
	Region 4: I/O ports at 1880 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB2 EHCI Controller [8086:27cc] (rev 02) (prog-if 20 [EHCI])
	Subsystem: Acer Incorporated [ALI] Device [1025:0090]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at d0444000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev e2) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=06, subordinate=0a, sec-latency=32
	I/O behind bridge: 00006000-00006fff
	Memory behind bridge: d0000000-d00fffff
	Prefetchable memory behind bridge: 0000000080000000-0000000083ffffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge [8086:27b9] (rev 02)
	Subsystem: Acer Incorporated [ALI] Device [1025:0090]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.1 IDE interface [0101]: Intel Corporation 82801G (ICH7 Family) IDE Controller [8086:27df] (rev 02) (prog-if 8a [Master SecP PriP])
	Subsystem: Acer Incorporated [ALI] Device [1025:0090]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at 1810 [size=16]
	Kernel driver in use: ata_piix

00:1f.3 SMBus [0c05]: Intel Corporation N10/ICH 7 Family SMBus Controller [8086:27da] (rev 02)
	Subsystem: Acer Incorporated [ALI] Device [1025:0090]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at 18a0 [size=32]

06:01.0 Ethernet controller [0200]: Broadcom Corporation BCM4401-B0 100Base-TX [14e4:170c] (rev 02)
	Subsystem: Acer Incorporated [ALI] Device [1025:0090]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Interrupt: pin A routed to IRQ 21
	Region 0: Memory at d0010000 (32-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: b44

06:02.0 Ethernet controller [0200]: Atheros Communications Inc. AR2413 802.11bg NIC [168c:001a] (rev 01)
	Subsystem: AMBIT Microsystem Corp. Device [1468:0418]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168 (2500ns min, 7000ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at d0000000 (32-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: ath5k

06:04.0 CardBus bridge [0607]: ENE Technology Inc CB-712/4 Cardbus Controller [1524:1412] (rev 10)
	Subsystem: Acer Incorporated [ALI] Device [1025:0090]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at d0012000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=06, secondary=07, subordinate=0a, sec-latency=176
	Memory window 0: 80000000-83fff000 (prefetchable)
	Memory window 1: 88000000-8bfff000
	I/O window 0: 00006000-000060ff
	I/O window 1: 00006400-000064ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus

06:04.1 FLASH memory [0501]: ENE Technology Inc ENE PCI Memory Stick Card Reader Controller [1524:0530] (rev 01)
	Subsystem: Acer Incorporated [ALI] Device [1025:0090]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 11
	Region 0: Memory at d0013000 (32-bit, non-prefetchable) [disabled] [size=128]
	Capabilities: <access denied>

06:04.2 SD Host controller [0805]: ENE Technology Inc ENE PCI Secure Digital Card Reader Controller [1524:0550] (rev 01) (prog-if 01)
	Subsystem: Acer Incorporated [ALI] Device [1025:0090]
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at d0013400 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sdhci-pci

06:04.3 FLASH memory [0501]: ENE Technology Inc FLASH memory: ENE Technology Inc: [1524:0520] (rev 01)
	Subsystem: Acer Incorporated [ALI] Device [1025:0090]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 11
	Region 0: Memory at d0013800 (32-bit, non-prefetchable) [disabled] [size=128]
	Capabilities: <access denied>

06:04.4 FLASH memory [0501]: ENE Technology Inc SD/MMC Card Reader Controller [1524:0551] (rev 01)
	Subsystem: Acer Incorporated [ALI] Device [1025:0090]
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at d0013100 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sdhci-pci


** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 002: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (900, 'testing'), (700, 'unstable'), (500, 'squeeze')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.38-2-686 depends on:
ii  debconf [debconf-2.0]         1.5.39     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.99       tools for generating an initramfs
ii  linux-base                    3.2        Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.38-2-686 recommends:
pn  firmware-linux-free           <none>     (no description available)
ii  libc6-i686                    2.13-4     Embedded GNU C Library: Shared lib

Versions of packages linux-image-2.6.38-2-686 suggests:
ii  grub-pc                      1.99~rc1-13 GRand Unified Bootloader, version 
pn  linux-doc-2.6.38             <none>      (no description available)

Versions of packages linux-image-2.6.38-2-686 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-2.6.38-2-686/postinst/depmod-error-initrd-2.6.38-2-686: false
  linux-image-2.6.38-2-686/postinst/ignoring-do-bootloader-2.6.38-2-686:
  linux-image-2.6.38-2-686/prerm/removing-running-kernel-2.6.38-2-686: true
  linux-image-2.6.38-2-686/postinst/missing-firmware-2.6.38-2-686:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627869; Package linux-2.6. (Wed, 25 May 2011 07:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 25 May 2011 07:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 627869@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Alexandre Lymberopoulos <lymber@gmail.com>, 627869@bugs.debian.org
Subject: Re: Bug#627869: linux-image-2.6.38-2-686: ath5k module is unstable after upgrade
Date: Wed, 25 May 2011 07:12:31 +0000
severity 627869 important
tags tags moreinfo
stop

On Wed, May 25, 2011 at 12:34:17AM -0300, Alexandre Lymberopoulos wrote:
> Package: linux-2.6
> Version: 2.6.38-5
> Severity: grave
> Justification: renders package unusable
> 
> 
> Since upgrade from 2.6.32 to 2.6.38 my wireless network card became very
> unstable, not always connecting to my router and not always able to scan
> wireless networks in the nearby. The same message (link is not ready) also
> appears do my wired card, as you can see in the kernel log below, but I
> didn't use it since these messages start appearing.
> 
> Count on me for any further information.

Test 2.6.39 which is available in unstable and report back on that version.

thank you.

-- 
maks




Severity set to 'important' from 'grave' Request was from maximilian attems <max@stro.at> to control@bugs.debian.org. (Wed, 25 May 2011 07:15:04 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Wed, 25 May 2011 12:06:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627869; Package linux-2.6. (Thu, 26 May 2011 13:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 26 May 2011 13:24:03 GMT) Full text and rfc822 format available.

Message #19 received at 627869@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Alexandre Lymberopoulos <lymber@gmail.com>
Cc: 627869@bugs.debian.org
Subject: Re: Bug#627869: linux-image-2.6.38-2-686: ath5k module is unstable after upgrade
Date: Thu, 26 May 2011 13:21:32 +0000
[ please keep bug report on cc, that is not private communication ]

On Thu, May 26, 2011 at 10:18:29AM -0300, Alexandre Lymberopoulos wrote:
> On May 25 2011, maximilian attems wrote:
> 
> > Test 2.6.39 which is available in unstable and report back on that version.
> 
> Thakns for you answer. I upgraded to 2.6.39 and have the same
> problem. But now I couldn't get the link up for hours and couldn't write
> a bug report from there (I'm writing from my office now).
> 
> I'll try to get connect with that computer later. Should I open a bug
> report on 2.6.39 or update the bur reported on 2.6.38?

follow up with 2.6.39, as 2.6.38 won't get fixed.
(it's outdated and we will move on from 39 to the next version)
also you may want to interact with the devs of ath5k on
bugzilla.kernel.org and let us know the bug nr for tracking purpose.

thank you.

-- 
maks




Forcibly Merged 627869 628184. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Wed, 15 Jun 2011 09:27:12 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 10 Aug 2011 01:33:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Sep 2011 07:38:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 19:20:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.